Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.event
Class AbstractEventManager

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.event.AbstractEventManager

All Implemented Interfaces:
  KernelEventEmitter, KernelEventManager, KernelObject

public class AbstractEventManager
extends AbstractKernelObject
implements KernelEventManager

Abstract Event manager.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Field Summary
`protected KernelRegistry` | `registry` The registry

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`kernel, log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Constructor Summary
`AbstractEventManager()` Create a new abstract kernel manager

Method Summary
`protected KernelEventEmitter` | `getEmitter(Object name)`
`void` | `registerListener(Object name, KernelEventListener listener, KernelEventFilter filter, Object handback)` Register a listener
`void` | `setKernel(Kernel kernel)` Set the kernel.
`void` | `unregisterListener(Object name, KernelEventListener listener, KernelEventFilter filter, Object handback)` Unregister a listener

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`getKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Field Detail

### registry

    protected KernelRegistry registry

  The registry

Constructor Detail

### AbstractEventManager

    public AbstractEventManager()
                         throws Throwable

  Create a new abstract kernel manager

Throws:
  `Throwable` - for any error

Method Detail

### setKernel

    public void setKernel(Kernel kernel)
                   throws Throwable

  Description copied from interface: `KernelObject`
  Set the kernel.

  Specified by:
    `setKernel` in interface `KernelObject`
  Overrides:
    `setKernel` in class `AbstractKernelObject`
  Throws:
    `Throwable`

### registerListener

    public void registerListener(Object name,
                                 KernelEventListener listener,
                                 KernelEventFilter filter,
                                 Object handback)
                          throws Throwable

  Description copied from interface: `KernelEventManager`
  Register a listener

  Specified by:
    `registerListener` in interface `KernelEventManager`
  Parameters:
    `name` - the name of the object to register on
    `listener` - the listener
    `filter` - the filter
    `handback` - the handback object
  Throws:
    `Throwable` - for any error

### unregisterListener

    public void unregisterListener(Object name,
                                   KernelEventListener listener,
                                   KernelEventFilter filter,
                                   Object handback)
                            throws Throwable

  Description copied from interface: `KernelEventManager`
  Unregister a listener

  Specified by:
    `unregisterListener` in interface `KernelEventManager`
  Parameters:
    `name` - the name of the object to register on
    `listener` - the listener
    `filter` - the filter
    `handback` - the handback object
  Throws:
    `Throwable` - for any error

### getEmitter

    protected KernelEventEmitter getEmitter(Object name)
                                     throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.